com.ihr.xbrl.om.formula.aspects

## Class ConceptAspectRule

- java.lang.Object
- - com.ihr.xbrl.om.formula.aspects.CommonAspectRule
  - - com.ihr.xbrl.om.formula.aspects.ConceptAspectRule

- All Implemented Interfaces:
    ConceptAspectInterface

      public class ConceptAspectRule
      extends CommonAspectRule
      implements ConceptAspectInterface

  The Class ConceptAspectRule.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `log` The log.
    `static javax.xml.namespace.QName` | `resourceName` The Constant resourceName.

    - ### Fields inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `ALLDIMENSIONALASPECTS, ALLNONDIMENSIONALASPECTS, ANY, COMPLETESCENARIO, COMPLETESEGMENT, CONCEPT, DIMENSION, ENTITYIDENTIFIER, LOCATION, NONE, NONXDTSCENARIO, NONXDTSEGMENT, PERIOD, UNIT, VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConceptAspectRule(XBRLFormula formula, net.sf.saxon.s9api.XdmNode aspectNode)` Instantiates a new concept aspect rule.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLElementDefinition` | `getConcept(XPathHelper xph)` Returns the calculated concept for this aspect.
    `boolean` | `isStaticConcept()` Returns true if the evaluation of the concept does not requires access to dynamic content.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `getAspectsText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static org.apache.log4j.Logger log

      The log.

    - #### resourceName

          public static final javax.xml.namespace.QName resourceName

      The Constant resourceName.

  - ### Constructor Detail

    - #### ConceptAspectRule

          public ConceptAspectRule(XBRLFormula formula,
                           net.sf.saxon.s9api.XdmNode aspectNode)
                            throws XFValidationException

      Instantiates a new concept aspect rule.
      Parameters:
        `formula` - the formula
        `aspectNode` - the aspect node
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### getConcept

          public XMLElementDefinition getConcept(XPathHelper xph)
                                          throws XFValidationException

      Description copied from interface: `ConceptAspectInterface`
      Returns the calculated concept for this aspect.
      Specified by:
        `getConcept` in interface `ConceptAspectInterface`
      Parameters:
        `xph` - the hpx
      Returns:
        a QName
      Throws:
        `XFValidationException` - the XF validation exception

    - #### isStaticConcept

          public boolean isStaticConcept()
                                  throws XFValidationException

      Description copied from interface: `ConceptAspectInterface`
      Returns true if the evaluation of the concept does not requires access to dynamic content.
      Specified by:
        `isStaticConcept` in interface `ConceptAspectInterface`
      Returns:
        boolean
      Throws:
        `XFValidationException` - the XF validation exception